<template>
  <transition name="fade">
    <div class="wrapper" v-if="$store.getters.preloader">
      <div class="preloader">
        <div class="circle"></div>
      </div>
    </div>
  </transition>
</template>

<script>
export default {

}
</script>

<style scoped>
@keyframes rotate {
  from {
    transform: rotate(0deg)
  }
  to {
    transform: rotate(360deg)
  }
}

.wrapper {
  align-items: center;
  background-color: rgba(255, 255, 255, .5);
  display: flex;
  height: 100%;
  justify-content: center;
  position: fixed;
  width: 100%;
  z-index: 999;
}

.preloader {
  background-color: #fff;
  border-radius: 4px;
  padding: 16px;
}

.circle {
  animation: rotate .8s infinite linear;
  border-color: transparent #2c3e50 #2c3e50 #2c3e50;
  border-radius: 2em;
  border-style: solid;
  border-width: 5px;
  height: 54px;
  width: 54px;
}
</style>
